clang-tools 10.0.0

Namespaces
FuzzyMatchTests.cpp File Reference
`#include "FuzzyMatch.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
Include dependency graph for FuzzyMatchTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ Candidate

ExpectedMatch Candidate

Definition at line 47 of file FuzzyMatchTests.cpp.

## ◆ RankedStrings

std::vector<ExpectedMatch> RankedStrings

Definition at line 183 of file FuzzyMatchTests.cpp.

## ◆ Score

llvm::Optional<float> Score

Definition at line 48 of file FuzzyMatchTests.cpp.

Referenced by clang::clangd::calculateRoles(), clang::clangd::FuzzyMatcher::empty(), clang::clangd::SymbolQualitySignals::evaluate(), clang::clangd::SymbolRelevanceSignals::evaluate(), clang::clangd::TopN< T, Compare >::items(), clang::clangd::FuzzyMatcher::match(), and clang::include_fixer::rank().

## ◆ Word

std::string Word

Definition at line 40 of file FuzzyMatchTests.cpp.

Referenced by clang::tidy::readability::fixupWithCase(), and clang::query::QueryParser::LexOrCompleteWord< T >::LexOrCompleteWord().